Jump to content

AD-Blocker detected, please disable your ad-blocker when surfing in makerando.com - There is no invasive Ad.

 

  • Chatbox

    You don't have permission to chat.
    Load More

Recommended Posts

Con mio sommo piacere vi informo che è stata rilasciata una patch che permette di utilizzare ben 96 glifi 😍

 

Tool e versioni supportate:

Rpgmaker 2000: v1.07-v1.10-v1.51-v1.60-v1.61-v1.62

Rpgmaker 2003: v1.00-v1.03-v1.05-v1.08-v1.09-v1.11-v1.12

 

Autore: KotatsuAkira

Link Download:

https://www.mediafire.com/file/ee4fo9tvf9qksku/RPGMakerPatch_EXtraFONT.7z/file

 

Cosa cambia oltre ad avere più glifi?

Qui arriva la nota dolente(in parte) in quanto cambiano i codici da utilizzare per richiamarli ed il template per gli stessi(adesso formato da 24 glifi per riga invece di 13).

Comunque in caso di dubbi, all'interno dell'archivio oltre alle varie versioni della patch per i tool supportati, troverete la tabella dei codici da utilizzare per richiamare i glifi(EXtraFONT_CharTable.TXT) ed il template (EXtraFONT_Sample.BMP).

 

Prima di Applicare la patch dovrete modificare il file rpg_rt.exe tramite resource hacker per sostituirne i glifi. Dopodiché non vi resta che applicare la patch con questo programmino qui:

https://www.mediafire.com/file/5jf9r44itbm7674/lips102.zip/file

 

Nel caso in cui invece avete patchato il vostro gioco con la versione 0.20 di Dynrpg mettete la patch direttamente nella cartella DynPatches, senza dover patchare l'exe.


 

 

 

Edited by kaine
Cambiato il titolo (see edit history)

Share this post


Link to post
Share on other sites

Ooooh era ora!

 

Se ho capito bene l'unica seccatura è che bisogna cambiare i vari "$A, $B, $C, etc..." ovunque nel gioco?

 

Edit: o meglio, non del tutto, perchè se il template segue questo schema:

 

image.png

 

In effetti basta fare il file immagine coi nuovi glifi, in modo che quelli dalla A maiuscola alla Z maiuscola siano nello "slot" corrispondente... quelli con le minuscole invece andranno sostituiti.

 

Ora che ci penso, chi sa come mai non ha usato le minuscole anche... forse per via della nuova patch, non faceva più distinzione tra maiuscole e minuscole?

Share this post


Link to post
Share on other sites

Il motivo stando a quel che ha scritto sul server discord in risposta a Cherry, ha a che fare con il modo in cui viene gestito il simbolo "\" e gli indirizzi legati alla sua posizione, infatti nella versione precedente a 80 glifi(non rilasciata) erano ancora presenti le lettere minuscole.

Adesso non so se ci rimetterà mano o se ha visto l'ultima risposta di Cherry, che consigliava una via alternativa per aggirare il problema e quindi in teoria reinserire anche le minuscole...
Io per il momento aspetto e mi limito a preparare il nuovo file con i glifi aggiornati da inserire nel progetto, se poi non dovesse cambiare nulla, dovrò rimettere mano alle parti del codice degli eventi e nel database in cui son presenti le minuscole XD

Se invece dovesse aggiornare la patch si fa come dici, si posizionano i glifi nei nuovi slot ed è fatta.

Edited by kaine (see edit history)

Share this post


Link to post
Share on other sites

Alla fine non ha rimesso mano alla patch, quindi ho fatto un triplo carpiato, per risistemare i vari codici utilizzati per richiamare i glifi, in modo che si adattassero a quelli del nuovo formato, non è esploso nulla fortunatamente! 😜

Share this post


Link to post
Share on other sites
Il 9/5/2022 at 14:19, kaine dice:

Alla fine non ha rimesso mano alla patch, quindi ho fatto un triplo carpiato, per risistemare i vari codici utilizzati per richiamare i glifi, in modo che si adattassero a quelli del nuovo formato, non è esploso nulla fortunatamente! 😜

 

Mi sa che toccherà anche a me presto o tardi XDDD

Share this post


Link to post
Share on other sites
Il 9/5/2022 at 14:19, kaine dice:

Alla fine non ha rimesso mano alla patch, quindi ho fatto un triplo carpiato, per risistemare i vari codici utilizzati per richiamare i glifi, in modo che si adattassero a quelli del nuovo formato, non è esploso nulla fortunatamente! 😜

 

Per caso hai un "template" già fatto? giusto per sapere in quante righe e quante colonne vanno disposte...

immagino siano sempre box da 12x12 px?

 

Edit: Nevermind, ho visto dopo che c'era il template nel pacchetto 😂

Avevo un' altra domanda però, ho visto che ci sono diverse patch (a seconda delle versioni).

Io ovviamente ho dynrpg 0.20, quindi devo copiarla nella cartella DynPatches, ma ho visto che ci sono due patch: 

EXtraFONT_2003_108.ips

EXtraFONT_2003_108_remove.ips

 

devo metterle entrambe o solo quella senza "remove" ?

Share this post


Link to post
Share on other sites

Solo la prima, il secondo IPS serve solo a rimuovere la patch nel caso in cui la applichi manualmente con Lunar IPS, ma con Dynrpg tu non applichi realmente la patch nell'exe, ti limiti ad iniettarla all'avvio, credo che mettendole insieme i risultati possibili sono 2:

1)Le due patch si annullano a vicenda e l'exe vedendo un file per i glifi sballato nelle dimensioni crasha

2)Esplode tutto con il rischio di corrompere il tutto 😂

Share this post


Link to post
Share on other sites

No, credo siano file che aggiunge in automatico Internet Archive, il sito dove sono state caricate le patch. 

Quel che serve è unicamente il file .ips ed ovviamente l'immagine dei glifi in questo determinato caso

Share this post


Link to post
Share on other sites
Il 11/6/2022 at 15:05, kaine dice:

 Quel che serve è unicamente il file .ips ed ovviamente l'immagine dei glifi in questo determinato caso

 

Todo claro!

Glifi inseriti e per ora non è esploso niente 😂 al momento ho talmente tanti glifi in più che non so quali mettere... talmente ero abituato (come te penso) a fare entrare tutto nei 52 glifi base 😂

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

  • Similar Content

    • By kaine
      Questa patch rimuove un passaggio dalla formula dei colpi critici del battle-system di default per far sì che non vengano calcolati con "uno di N colpi" ma con un valore percentuale reale.
      Assicuratevi di scegliere un file per l'esatta versione che state utilizzando, altrimenti il vostro EXE si corromperà. Ci sono alcune eccezioni a questa regola: RPG_RT.exe di RPG2000 1.51 è lo stesso di 1.52 e il file per RPG2003 1.09 può essere usato con tutte le versioni successive (Maniac Patch per 2003-1.12 è supportato solo fino a mp210414).
       
      Tool e versioni supportate:
      Rpgmaker 2000: v1.07-v1.10-v1.50-v1.51-v1.60-v1.62
      Rpgmaker 2003: v1.00-v1.03-v1.05-v1.08-v1.09
       
      Autore: Bugmenot,KotatsuAkira
        
      Link Download:
      (2000 v1.07 - 2003 v1.08)
      https://www.mediafire.com/file/ae1nuoa4fa5g23u/Crit%25.rar/file
      (2000 v1.10-v1.50-v1.51-v1.60-v1.62)
      https://www.mediafire.com/file/yzctcu1m0gj7llu/RPGMakerPatch_CritPercent.7z/file
       
      Per applicarla dovete usare questo programmino qui:
      http://www.mediafire...674/lips102.zip
      Nel caso in cui invece avete patchato il vostro gioco con la versione 0.20 di dynrpg mettete la patch direttamente nella cartella dynpatches.
    • By kaine
      Questa patch forza automaticamente lo switch #1 su ON mentre il message box predefinito è in attesa di input (quando è in pausa a metà testo o alla fine). In caso contrario, viene impostato su OFF una volta per frame. Gli eventi con condizioni di pagina sulla mappa NON reagiscono automaticamente a questa modifica se non sta accadendo nient'altro che possa causare un controllo di pagina. Tutti gli eventi comuni con condizione switch continuano a funzionare normalmente.
      Assicuratevi di scegliere un file che corrisponda esattamente alla versione che state utilizzando, altrimenti il vostro EXE si corromperà. Ci sono alcune eccezioni a questa regola: il file per RPG2003 1.09 può essere usato con tutte le versioni successive (Maniac Patch per RPG2003 1.12 è supportato solo fino a mp210414).
       
      Tool e versioni supportate:
      Rpgmaker 2000: v1.07v1.62
      Rpgmaker 2003: v1.08-v1.09
       
      Autore: Bugmenot,KotatsuAkira
       
      Link Download:
      (2000 v1.07 - 2003 v1.08)
      https://www.mediafire.com/file/k38vqd8801r4snf/MessageSwitch.rar/file
      (2000 v1.62 - 2003 v1.09)
      https://www.mediafire.com/file/aprl5nfi6ew9ra2/RPGMakerPatch_MessageSwitch.7z/file
       
      Per applicarla dovete usare questo programmino qui:
      http://www.mediafire...674/lips102.zip
      Nel caso in cui invece avete patchato il vostro gioco con la versione 0.20 di dynrpg mettete la patch direttamente nella cartella dynpatches.
       
×